Linux系统CentOS使用yum方式安装指定版本的PHP 添加yum源 从PHP5.3升级到5.4/5.5/5.6

默认的版本太低了,手动安装有一些麻烦,想采用Yum安装的可以使用下面的方案:
首先删除旧版本的PHP,
通过yum list installed | grep php可以查看所有已安装的php软件
使用yum remove php ……删除

通过yum list php*查看是否有自己需要安装的版本,如果没有就需要添加第三方yum源, 推荐安装webtatic、rpmforge,还有国内163的
CentOs 5.x 
rpm -Uvh http://mirror.webtatic.com/yum/el5/latest.rpm 
CentOs 6.x 
rpm -Uvh http://mirror.webtatic.com/yum/el6/latest.rpm 
CentOs 7.X 
rpm -Uvh https://mirror.webtatic.com/yum/el7/epel-release.rpm 
rpm -Uvh https://mirror.webtatic.com/yum/el7/webtatic-release.rpm
//rpmforge
#32位:  
wget http://packages.sw.be/rpmforge-release/rpmforge-release-0.5.1-1.el5.rf.i386.rpm  
rpm -ivh rpmforge-release-0.5.1-1.el5.rf.i386.rpm  
#64位:  
wget http://packages.sw.be/rpmforge-release/rpmforge-release-0.5.1-1.el5.rf.x86_64.rpm  
rpm -ivh rpmforge-release-0.5.1-1.el5.rf.x86_64.rpm  
安装完成后可以使用yum repolist查看已经安装的源,也可以通过ls /etc/yum.repos.d/查看。
然后再yum install php55w或yum install php54w或yum install php56w……就可以安装新版本PHP了


发表于:2015-03-14 21:07:50

原文链接(转载请保留): http://www.multisilicon.com/blog/a26361064.html

友情链接: MICROIC
首页